<?php 
namespace App\Entities\Arquivo;

use App\Utils\Entity;

class Arquivo extends Entity
{
    protected $id;
    protected $descricao;
    protected $arquivo;
    protected $id_clinica;
    protected $id_medico;
    protected $id_paciente;
    protected $id_pet;
    protected $tutor_view;
    protected $criado_em;
    protected $alterado_em;
    protected $criado_por;
    protected $alterado_por;

    public static function builder() : ArquivoBuilder
    {
        return (new ArquivoBuilder);
    }

    public function getTutorView()
    {
        return $this->tutor_view;
    }

    public function setTutorView($tutor_view): void
    {
        $this->tutor_view = $tutor_view;
    }

    public function getId()
    {
        return $this->id;
    }

    public function setId($id): void
    {
        $this->id = $id;
    }

    public function getIdPet()
    {
    	return $this->id_pet;
    }
    
    public function setIdPet($idpet): void
    {
    	$this->id_pet = $idpet;
    }
    
    public function getDescricao()
    {
        return $this->descricao;
    }

    public function setDescricao($descricao): void
    {
        $this->descricao = $descricao;
    }

    public function getIdClinica()
    {
        return $this->id_clinica;
    }

    public function setIdClinica($id_clinica): void
    {
        $this->id_clinica = $id_clinica;
    }

    public function getIdMedico()
    {
        return $this->id_medico;
    }

    public function setIdMedico($id_medico): void
    {
        $this->id_medico = $id_medico;
    }

    public function getIdPaciente()
    {
        return $this->id_paciente;
    }

    public function setIdPaciente($id_paciente): void
    {
        $this->id_paciente = $id_paciente;
    }

    public function getCriadoEm()
    {
        return $this->criado_em;
    }

    public function setCriadoEm($criado_em): void
    {
        $this->criado_em = $criado_em;
    }

    public function getAlteradoEm()
    {
        return $this->alterado_em;
    }

    public function setAlteradoEm($alterado_em): void
    {
        $this->alterado_em = $alterado_em;
    }

    public function getCriadoPor()
    {
        return $this->criado_por;
    }

    public function setCriadoPor($criado_por): void
    {
        $this->criado_por = $criado_por;
    }

    public function getAlteradoPor()
    {
        return $this->alterado_por;
    }

    public function setAlteradoPor($alterado_por): void
    {
        $this->alterado_por = $alterado_por;
    }

    public function getArquivo()
    {
        return $this->arquivo;
    }

    public function setArquivo($arquivo): void
    {
        $this->arquivo = $arquivo;
    }





}